chiark / gitweb /
add index V1 format, a direct translation of internal dict
[fdroidserver.git] / tests / run-tests
1 #!/bin/bash
2
3 set -e # quit script on error
4
5 echo_header() {
6     { echo -e "==============================================================================\n$1"; } 2>/dev/null
7 }
8
9 copy_apks_into_repo() {
10     set +x
11     for f in `find $APKDIR -name '*.apk' | grep -F -v -e unaligned -e unsigned -e badsig -e badcert`; do
12         name=$(basename $(dirname `dirname $f`))
13         apk=`$aapt dump badging "$f" | sed -n "s,^package: name='\(.*\)' versionCode='\([0-9][0-9]*\)' .*,\1_\2.apk,p"`
14         test $f -nt repo/$apk && rm -f repo/$apk  # delete existing if $f is newer
15         if [ ! -e repo/$apk ] && [ ! -e archive/$apk ]; then
16             echo "$f --> repo/$apk"
17             ln $f $1/repo/$apk || \
18                 rsync -axv $f $1/repo/$apk # rsync if hard link is not possible
19         fi
20     done
21     set -x
22 }
23
24 # keep this as an old version to test the automatic parsing of build-tools
25 # verion numbers in `fdroid init`
26 create_fake_android_home() {
27     mkdir $1/tools
28     mkdir $1/platform-tools
29     mkdir $1/build-tools
30     mkdir $1/build-tools/19.0.2
31     touch $1/build-tools/19.0.2/aapt
32 }
33
34 create_test_dir() {
35     test -e $WORKSPACE/.testfiles || mkdir $WORKSPACE/.testfiles
36     mktemp -d $WORKSPACE/.testfiles/run-tests.XXXX
37 }
38
39 create_test_file() {
40     test -e $WORKSPACE/.testfiles || mkdir $WORKSPACE/.testfiles
41     TMPDIR=$WORKSPACE/.testfiles  mktemp
42 }
43
44 #------------------------------------------------------------------------------#
45 # "main"
46
47 if [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
48     set +x
49     echo "Usage: $0 '/path/to/folder/with/apks'"
50     exit 1
51 fi
52
53 if [ -z "$ANDROID_HOME" ]; then
54     echo "ANDROID_HOME must be set with the path to the Android SDK, i.e.: "
55     echo "  export ANDROID_HOME=/opt/android-sdk"
56     exit 1
57 fi
58
59 if [ -d tests ]; then
60     cd tests
61 fi
62
63 if [ -z "$1" ]; then
64     APKDIR=`pwd`
65 else
66     APKDIR=$1
67 fi
68
69 if [ -z $WORKSPACE ]; then
70     WORKSPACE=`dirname $(pwd)`
71     echo "Setting Workspace to $WORKSPACE"
72 fi
73
74 # allow the location of the script to be overridden
75 if [ -z $fdroid ]; then
76     fdroid="$WORKSPACE/fdroid"
77 fi
78
79 # allow the location of aapt to be overridden
80 if [ -z $aapt ]; then
81     aapt=`ls -1 $ANDROID_HOME/build-tools/*/aapt | sort | tail -1`
82 fi
83
84 # allow the location of python to be overridden
85 if [ -z $python ]; then
86     python=python3
87 fi
88
89 set -x # show each command as it is executed
90
91 #------------------------------------------------------------------------------#
92 echo_header "run commit hooks"
93
94 cd $WORKSPACE
95 ./hooks/pre-commit
96
97
98 #------------------------------------------------------------------------------#
99 echo_header "test python getsig replacement"
100
101 cd $WORKSPACE/tests/getsig
102 ./make.sh
103
104 cd $WORKSPACE/tests
105 for testcase in $WORKSPACE/tests/*.TestCase; do
106     $testcase
107 done
108
109
110 #------------------------------------------------------------------------------#
111 echo_header "print fdroid version"
112
113 $fdroid --version
114
115
116 #------------------------------------------------------------------------------#
117 echo_header "test UTF-8 metadata"
118
119 REPOROOT=`create_test_dir`
120 cd $REPOROOT
121
122 $fdroid init
123 sed -i.tmp 's,^ *repo_description.*,repo_description = """获取已安装在您的设备上的应用的,' config.py
124 echo "mirrors = ('https://foo.bar/fdroid', 'http://secret.onion/fdroid')" >> config.py
125 mkdir metadata
126 cp $WORKSPACE/tests/urzip.apk repo/
127 cp $WORKSPACE/tests/metadata/info.guardianproject.urzip.txt metadata/
128
129 $fdroid readmeta
130 $fdroid update
131
132
133 #------------------------------------------------------------------------------#
134 echo_header 'run `fdroid build` in fresh git checkout from import.TestCase'
135
136 cd $WORKSPACE/tests/tmp/importer
137 git remote update -p
138 git clean -fdx
139 # stick with known working commit, in case future commits break things for this code
140 git reset --hard cecf00c08aec56ae7a5eba444150c4d1ae868814
141 if [ -d $ANDROID_HOME/platforms/android-23 ]; then
142     echo "build_tools = '`ls -1 $ANDROID_HOME/build-tools/ | sort -n | tail -1`'" > config.py
143     echo "force_build_tools = True" >> config.py
144     $fdroid build --verbose org.fdroid.ci.test.app:300
145 else
146     echo 'WARNING: Skipping `fdroid build` test since android-23 is missing!'
147 fi
148
149
150 #------------------------------------------------------------------------------#
151 echo_header "copy tests/repo, generate java/gpg keys, update, and gpgsign"
152
153 REPOROOT=`create_test_dir`
154 GNUPGHOME=$REPOROOT/gnupghome
155 KEYSTORE=$WORKSPACE/tests/keystore.jks
156 cd $REPOROOT
157 $fdroid init --keystore $KEYSTORE --repo-keyalias=sova
158 echo 'keystorepass = "r9aquRHYoI8+dYz6jKrLntQ5/NJNASFBacJh7Jv2BlI="' >> config.py
159 echo 'keypass = "r9aquRHYoI8+dYz6jKrLntQ5/NJNASFBacJh7Jv2BlI="' >> config.py
160 cp -a $WORKSPACE/tests/metadata $WORKSPACE/tests/repo $WORKSPACE/tests/stats $REPOROOT/
161 cp -a $WORKSPACE/tests/gnupghome $GNUPGHOME
162 chmod 0700 $GNUPGHOME
163 echo "accepted_formats = ['json', 'txt', 'yml']" >> config.py
164 echo "install_list = 'org.adaway'" >> config.py
165 echo "uninstall_list = ('com.android.vending', 'com.facebook.orca',)" >> config.py
166 echo "gpghome = '$GNUPGHOME'" >> config.py
167 echo "gpgkey = 'CE71F7FB'" >> config.py
168 echo "mirrors = ('http://foobarfoobarfoobar.onion/fdroid','https://foo.bar/fdroid',)" >> config.py
169 $fdroid update --verbose --pretty
170 test -e repo/index.xml
171 test -e repo/index.jar
172 test -e repo/index-v1.jar
173 grep -F '<application id=' repo/index.xml > /dev/null
174 grep -F '<install packageName=' repo/index.xml > /dev/null
175 grep -F '<uninstall packageName=' repo/index.xml > /dev/null
176 $fdroid gpgsign --verbose
177 $fdroid gpgsign --verbose
178 test -e repo/obb.mainpatch.current_1619.apk.asc
179 test -e repo/obb.main.twoversions_1101617_src.tar.gz.asc
180 ! test -e repo/obb.mainpatch.current_1619.apk.asc.asc
181 ! test -e repo/obb.main.twoversions_1101617_src.tar.gz.asc.asc
182 ! test -e repo/index.xml.asc
183
184 # we can't easily reproduce the timestamps for things, so just hardcode them
185 sed -i --expression='s,timestamp="[0-9]*",timestamp="1480431575",' repo/index.xml
186 diff $WORKSPACE/tests/repo/index.xml repo/index.xml
187
188 #------------------------------------------------------------------------------#
189 echo_header "test metadata checks"
190
191 REPOROOT=`create_test_dir`
192 cd $REPOROOT
193
194 touch config.py
195 mkdir repo
196 cp $WORKSPACE/tests/urzip.apk $REPOROOT/repo/
197
198 set +e
199 $fdroid build
200 if [ $? -eq 0 ]; then
201     echo "This should have failed because there is no metadata!"
202     exit 1
203 else
204     echo "testing metadata checks passed"
205 fi
206 set -e
207
208 mkdir $REPOROOT/metadata/
209 cp $WORKSPACE/tests/metadata/org.smssecure.smssecure.txt $REPOROOT/metadata/
210 $fdroid readmeta
211
212 # now make a fake duplicate
213 touch $REPOROOT/metadata/org.smssecure.smssecure.yml
214
215 set +e
216 $fdroid readmeta
217 if [ $? -eq 0 ]; then
218     echo "This should have failed because there is a duplicate metadata file!"
219     exit 1
220 else
221     echo "testing duplicate metadata checks passed"
222 fi
223 set -e
224
225
226 #------------------------------------------------------------------------------#
227 echo_header "ensure commands that don't need the JDK work without a JDK configed"
228
229 REPOROOT=`create_test_dir`
230 cd $REPOROOT
231 mkdir repo
232 mkdir metadata
233 echo "License:GPL" >> metadata/fake.txt
234 echo "Summary:Yup still fake" >> metadata/fake.txt
235 echo "Categories:Internet" >> metadata/fake.txt
236 echo "Description:" >> metadata/fake.txt
237 echo "this is fake" >> metadata/fake.txt
238 echo "." >> metadata/fake.txt
239
240 # fake that no JDKs are available
241 echo 'java_paths = {}' > config.py
242
243 LOCAL_COPY_DIR=`create_test_dir`/fdroid
244 mkdir -p $LOCAL_COPY_DIR/repo
245 echo "local_copy_dir = '$LOCAL_COPY_DIR'" >> config.py
246
247 $fdroid checkupdates
248 $fdroid gpgsign
249 $fdroid lint
250 $fdroid readmeta
251 $fdroid rewritemeta fake
252 $fdroid server update
253 $fdroid scanner
254
255 # run these to get their output, but the are not setup, so don't fail
256 $fdroid build || true
257 $fdroid import || true
258 $fdroid install || true
259
260
261 #------------------------------------------------------------------------------#
262 echo_header "create a source tarball and use that to build a repo"
263
264 cd $WORKSPACE
265 $python setup.py sdist
266
267 REPOROOT=`create_test_dir`
268 cd $REPOROOT
269 tar xzf `ls -1 $WORKSPACE/dist/fdroidserver-*.tar.gz | sort -n | tail -1`
270 cd $REPOROOT
271 ./fdroidserver-*/fdroid init
272 copy_apks_into_repo $REPOROOT
273 ./fdroidserver-*/fdroid update --create-metadata --verbose
274
275
276 #------------------------------------------------------------------------------#
277 echo_header "test config checks of local_copy_dir"
278
279 REPOROOT=`create_test_dir`
280 cd $REPOROOT
281 $fdroid init
282 $fdroid update --create-metadata --verbose
283 $fdroid readmeta
284 $fdroid server update --local-copy-dir=/tmp/fdroid
285
286 # now test the errors work
287 set +e
288 $fdroid server update --local-copy-dir=thisisnotanabsolutepath
289 if [ $? -eq 0 ]; then
290     echo "This should have failed because thisisnotanabsolutepath is not an absolute path!"
291     exit 1
292 else
293     echo "testing absolute path checker passed"
294 fi
295 $fdroid server update --local-copy-dir=/tmp/IReallyDoubtThisPathExistsasdfasdf
296 if [ $? -eq 0 ]; then
297     echo "This should have failed because the path does not end with 'fdroid'!"
298     exit 1
299 else
300     echo "testing dirname exists checker passed"
301 fi
302 $fdroid server update --local-copy-dir=/tmp/IReallyDoubtThisPathExistsasdfasdf/fdroid
303 if [ $? -eq 0 ]; then
304     echo "This should have failed because the dirname path does not exist!"
305     exit 1
306 else
307     echo "testing dirname exists checker passed"
308 fi
309 set -e
310
311
312 #------------------------------------------------------------------------------#
313 echo_header "setup a new repo from scratch using ANDROID_HOME and do a local sync"
314
315 REPOROOT=`create_test_dir`
316 cd $REPOROOT
317 $fdroid init
318 copy_apks_into_repo $REPOROOT
319 $fdroid update --create-metadata --verbose
320 $fdroid readmeta
321 grep -F '<application id=' repo/index.xml > /dev/null
322
323 LOCALCOPYDIR=`create_test_dir`/fdroid
324 $fdroid server update --local-copy-dir=$LOCALCOPYDIR
325 NEWREPOROOT=`create_test_dir`
326 cd $NEWREPOROOT
327 $fdroid init
328 $fdroid server update --local-copy-dir=$LOCALCOPYDIR --sync-from-local-copy-dir
329
330
331 #------------------------------------------------------------------------------#
332 # check that --android-home fails when dir does not exist or is not a dir
333
334 REPOROOT=`create_test_dir`
335 KEYSTORE=$REPOROOT/keystore.jks
336 cd $REPOROOT
337 set +e
338 $fdroid init --keystore $KEYSTORE --android-home /opt/fakeandroidhome
339 if [ $? -eq 0 ]; then
340     echo "This should have failed because /opt/fakeandroidhome does not exist!"
341     exit 1
342 else
343     echo "testing android-home path checker passed"
344 fi
345 TESTFILE=`create_test_file`
346 $fdroid init --keystore $KEYSTORE --android-home $TESTFILE
347 if [ $? -eq 0 ]; then
348     echo "This should have failed because $TESTFILE is a file not a dir!"
349     exit 1
350 else
351     echo "testing android-home not-dir checker passed"
352 fi
353 set -e
354
355
356 #------------------------------------------------------------------------------#
357 echo_header "check that fake android home passes 'fdroid init'"
358
359 REPOROOT=`create_test_dir`
360 FAKE_ANDROID_HOME=`create_test_dir`
361 create_fake_android_home $FAKE_ANDROID_HOME
362 KEYSTORE=$REPOROOT/keystore.jks
363 cd $REPOROOT
364 $fdroid init --keystore $KEYSTORE --android-home $FAKE_ANDROID_HOME
365
366
367 #------------------------------------------------------------------------------#
368 echo_header "check that 'fdroid init' fails when build-tools cannot be found"
369
370 if [ -e /usr/bin/aapt ]; then
371     echo "/usr/bin/aapt exists, not running test"
372 else
373     REPOROOT=`create_test_dir`
374     FAKE_ANDROID_HOME=`create_test_dir`
375     create_fake_android_home $FAKE_ANDROID_HOME
376     rm -f $FAKE_ANDROID_HOME/build-tools/*/aapt
377     KEYSTORE=$REPOROOT/keystore.jks
378     cd $REPOROOT
379     set +e
380     $fdroid init --keystore $KEYSTORE --android-home $FAKE_ANDROID_HOME
381     [ $? -eq 0 ] && exit 1
382     set -e
383 fi
384
385
386 #------------------------------------------------------------------------------#
387 echo_header "check that --android-home overrides ANDROID_HOME"
388
389 REPOROOT=`create_test_dir`
390 FAKE_ANDROID_HOME=`create_test_dir`
391 create_fake_android_home $FAKE_ANDROID_HOME
392 KEYSTORE=$REPOROOT/keystore.jks
393 cd $REPOROOT
394 $fdroid init --keystore $KEYSTORE --android-home $FAKE_ANDROID_HOME
395 set +e
396 grep $FAKE_ANDROID_HOME $REPOROOT/config.py
397 if [ $? -ne 0 ]; then
398     echo "the value set in --android-home '$FAKE_ANDROID_HOME' should override ANDROID_HOME '$ANDROID_HOME'"
399     exit 1
400 fi
401 set -e
402
403
404 #------------------------------------------------------------------------------#
405 # In this case, ANDROID_HOME is set to a fake, non-working version that will
406 # be detected by fdroid as an Android SDK install.  It should use the path set
407 # by --android-home over the one in ANDROID_HOME, therefore if it uses the one
408 # in ANDROID_HOME, it won't work because it is a fake one.  Only
409 # --android-home provides a working one.
410 echo_header "setup a new repo from scratch with keystore and android-home set on cmd line"
411
412 REPOROOT=`create_test_dir`
413 KEYSTORE=$REPOROOT/keystore.jks
414 FAKE_ANDROID_HOME=`create_test_dir`
415 create_fake_android_home $FAKE_ANDROID_HOME
416 STORED_ANDROID_HOME=$ANDROID_HOME
417 unset ANDROID_HOME
418 echo "ANDROID_HOME: $ANDROID_HOME"
419 cd $REPOROOT
420 $fdroid init --keystore $KEYSTORE --android-home $STORED_ANDROID_HOME --no-prompt
421 test -e $KEYSTORE
422 copy_apks_into_repo $REPOROOT
423 $fdroid update --create-metadata --verbose
424 $fdroid readmeta
425 grep -F '<application id=' repo/index.xml > /dev/null
426 test -e repo/index.xml
427 test -e repo/index.jar
428 test -e repo/index-v1.jar
429 export ANDROID_HOME=$STORED_ANDROID_HOME
430
431
432 #------------------------------------------------------------------------------#
433 echo_header "setup new repo from scratch using ANDROID_HOME, putting APKs in repo first"
434
435 REPOROOT=`create_test_dir`
436 cd $REPOROOT
437 mkdir repo
438 copy_apks_into_repo $REPOROOT
439 $fdroid init
440 $fdroid update --create-metadata --verbose
441 $fdroid readmeta
442 grep -F '<application id=' repo/index.xml > /dev/null
443
444
445 #------------------------------------------------------------------------------#
446 echo_header "setup a new repo from scratch and generate a keystore"
447
448 REPOROOT=`create_test_dir`
449 KEYSTORE=$REPOROOT/keystore.jks
450 cd $REPOROOT
451 $fdroid init --keystore $KEYSTORE
452 test -e $KEYSTORE
453 copy_apks_into_repo $REPOROOT
454 $fdroid update --create-metadata --verbose
455 $fdroid readmeta
456 test -e repo/index.xml
457 test -e repo/index.jar
458 test -e repo/index-v1.jar
459 grep -F '<application id=' repo/index.xml > /dev/null
460
461
462 #------------------------------------------------------------------------------#
463 echo_header "setup a new repo manually and generate a keystore"
464
465 REPOROOT=`create_test_dir`
466 KEYSTORE=$REPOROOT/keystore.jks
467 cd $REPOROOT
468 touch config.py
469 cp $WORKSPACE/examples/fdroid-icon.png $REPOROOT/
470 ! test -e $KEYSTORE
471 set +e
472 $fdroid update
473 if [ $? -eq 0 ]; then
474     echo "This should have failed because this repo has no keystore!"
475     exit 1
476 else
477     echo '`fdroid update` prompted to add keystore'
478 fi
479 set -e
480 $fdroid update --create-key
481 test -e $KEYSTORE
482 copy_apks_into_repo $REPOROOT
483 $fdroid update --create-metadata --verbose
484 $fdroid readmeta
485 test -e repo/index.xml
486 test -e repo/index.jar
487 test -e repo/index-v1.jar
488 grep -F '<application id=' repo/index.xml > /dev/null
489
490
491 #------------------------------------------------------------------------------#
492 echo_header "setup a new repo from scratch, generate a keystore, then add APK and update"
493
494 REPOROOT=`create_test_dir`
495 KEYSTORE=$REPOROOT/keystore.jks
496 cd $REPOROOT
497 $fdroid init --keystore $KEYSTORE
498 test -e $KEYSTORE
499 copy_apks_into_repo $REPOROOT
500 $fdroid update --create-metadata --verbose
501 $fdroid readmeta
502 test -e repo/index.xml
503 test -e repo/index.jar
504 test -e repo/index-v1.jar
505 grep -F '<application id=' repo/index.xml > /dev/null
506 test -e $REPOROOT/repo/info.guardianproject.urzip_100.apk || \
507     cp $WORKSPACE/tests/urzip.apk $REPOROOT/repo/
508 $fdroid update --create-metadata --verbose
509 $fdroid readmeta
510 test -e repo/index.xml
511 test -e repo/index.jar
512 test -e repo/index-v1.jar
513 grep -F '<application id=' repo/index.xml > /dev/null
514
515
516 #------------------------------------------------------------------------------#
517 echo_header "setup a new repo from scratch with a HSM/smartcard"
518 REPOROOT=`create_test_dir`
519 cd $REPOROOT
520 $fdroid init --keystore NONE
521 test -e opensc-fdroid.cfg
522 test ! -e NONE
523
524
525 #------------------------------------------------------------------------------#
526 echo_header "setup a new repo with no keystore, add APK, and update"
527
528 REPOROOT=`create_test_dir`
529 KEYSTORE=$REPOROOT/keystore.jks
530 cd $REPOROOT
531 touch config.py
532 touch fdroid-icon.png
533 mkdir repo
534 cp $WORKSPACE/tests/urzip.apk $REPOROOT/repo/
535 set +e
536 $fdroid update --create-metadata --verbose
537 if [ $? -eq 0 ]; then
538     echo "This should have failed because this repo has no keystore!"
539     exit 1
540 else
541     echo '`fdroid update` prompted to add keystore'
542 fi
543 set -e
544
545 # now set up fake, non-working keystore setup
546 touch $KEYSTORE
547 echo "keystore = \"$KEYSTORE\"" >> config.py
548 echo 'repo_keyalias = "foo"' >> config.py
549 echo 'keystorepass = "foo"' >> config.py
550 echo 'keypass = "foo"' >> config.py
551 set +e
552 $fdroid update --create-metadata --verbose
553 if [ $? -eq 0 ]; then
554     echo "This should have failed because this repo has a bad/fake keystore!"
555     exit 1
556 else
557     echo '`fdroid update` prompted to add keystore'
558 fi
559 set -e
560
561
562 #------------------------------------------------------------------------------#
563 echo_header "copy tests/repo, update with binary transparency log"
564
565 REPOROOT=`create_test_dir`
566 GNUPGHOME=$REPOROOT/gnupghome
567 KEYSTORE=$WORKSPACE/tests/keystore.jks
568 cd $REPOROOT
569 $fdroid init --keystore $KEYSTORE --repo-keyalias=sova
570 cp -a $WORKSPACE/tests/metadata $WORKSPACE/tests/repo $WORKSPACE/tests/stats $REPOROOT/
571 echo 'keystorepass = "r9aquRHYoI8+dYz6jKrLntQ5/NJNASFBacJh7Jv2BlI="' >> config.py
572 echo 'keypass = "r9aquRHYoI8+dYz6jKrLntQ5/NJNASFBacJh7Jv2BlI="' >> config.py
573 echo 'binary_transparency_remote = "git@gitlab.com:fdroid-continuous-integration/binary-transparency.git"' >> config.py
574 echo "accepted_formats = ['json', 'txt', 'yml']" >> config.py
575 $fdroid update --verbose --pretty
576 test -e repo/index.xml
577 test -e repo/index.jar
578 test -e repo/index-v1.jar
579 grep -F '<application id=' repo/index.xml > /dev/null
580 cd binary_transparency
581 [ `git rev-list --count HEAD` == "2" ]
582
583
584 #------------------------------------------------------------------------------#
585 echo_header "setup a new repo with keystore with APK, update, then without key"
586
587 REPOROOT=`create_test_dir`
588 KEYSTORE=$REPOROOT/keystore.jks
589 cd $REPOROOT
590 $fdroid init --keystore $KEYSTORE
591 test -e $KEYSTORE
592 cp $WORKSPACE/tests/urzip.apk $REPOROOT/repo/
593 $fdroid update --create-metadata --verbose
594 $fdroid readmeta
595 test -e repo/index.xml
596 test -e repo/index.jar
597 test -e repo/index-v1.jar
598 grep -F '<application id=' repo/index.xml > /dev/null
599
600 # now set fake repo_keyalias
601 sed -i.tmp 's,^ *repo_keyalias.*,repo_keyalias = "fake",' $REPOROOT/config.py
602 set +e
603 $fdroid update
604 if [ $? -eq 0 ]; then
605     echo "This should have failed because this repo has a bad repo_keyalias!"
606     exit 1
607 else
608     echo '`fdroid update` prompted to add keystore'
609 fi
610 set -e
611
612 # try creating a new keystore, but fail because the old one is there
613 test -e $KEYSTORE
614 set +e
615 $fdroid update --create-key
616 if [ $? -eq 0 ]; then
617     echo "This should have failed because a keystore is already there!"
618     exit 1
619 else
620     echo '`fdroid update` complained about existing keystore'
621 fi
622 set -e
623
624 # now actually create the key with the existing settings
625 rm -f $KEYSTORE
626 ! test -e $KEYSTORE
627 $fdroid update --create-key
628 test -e $KEYSTORE
629
630
631 #------------------------------------------------------------------------------#
632
633 # remove this to prevent git conflicts and complaining
634 rm -rf $WORKSPACE/fdroidserver.egg-info/
635
636 echo SUCCESS